Package org.apache.sling.scripting.api

# Class AbstractSlingScriptEngine

java.lang.Object
javax.script.AbstractScriptEngine
org.apache.sling.scripting.api.AbstractSlingScriptEngine

All Implemented Interfaces:
  `ScriptEngine`

public abstract class AbstractSlingScriptEngine extends AbstractScriptEngine

## Field Summary

### Fields inherited from class javax.script.AbstractScriptEngine

`context`

### Fields inherited from interface javax.script.ScriptEngine

`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSlingScriptEngine(ScriptEngineFactory scriptEngineFactory)`

## Method Summary

Modifier and Type
Method
Description
`Bindings`
`createBindings()`
`Object`
`eval(String script, ScriptContext context)`
`ScriptEngineFactory`
`getFactory()`

### Methods inherited from class javax.script.AbstractScriptEngine

`eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.script.ScriptEngine

`eval`

## Constructor Details

### AbstractSlingScriptEngine

protected AbstractSlingScriptEngine(ScriptEngineFactory scriptEngineFactory)

## Method Details

### createBindings

public Bindings createBindings()

### eval

public Object eval(String script, ScriptContext context) throws ScriptException

Throws:
  `ScriptException`

### getFactory

public ScriptEngineFactory getFactory()